Skip to main content
`Ctrl`+`K`

# PETSC_MATLAB_ENGINE_

Creates a MATLAB engine on each process in a communicator.

## Synopsis

    #include "petscmatlab.h"
    PetscMatlabEngine PETSC_MATLAB_ENGINE_(MPI_Comm comm)

Not Collective

## Input Parameter

- comm - the MPI communicator to share the engine

## Options Database Key

- -matlab_engine_host - hostname on which to run MATLAB, one must be able to ssh to this host

## Note

Unlike almost all other PETSc routines, this does not return an error code. Usually used in the form

    PetscMatlabEngineYYY(XXX object, PETSC_MATLAB_ENGINE_(comm));

## See Also

`PetscMatlabEngineDestroy()`, `PetscMatlabEnginePut()`, `PetscMatlabEngineGet()`, `PetscMatlabEngineEvaluate()`, `PetscMatlabEngineGetOutput()`, `PetscMatlabEnginePrintOutput()`, `PetscMatlabEngineCreate()`, `PetscMatlabEnginePutArray()`, `PetscMatlabEngineGetArray()`, `PetscMatlabEngine`, `PETSC_MATLAB_ENGINE_WORLD`, `PETSC_MATLAB_ENGINE_SELF`

## Level

developer

## Location

src/sys/classes/matlabengine/matlab.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages